dvb_desc_network_name Struct Reference
Parsers for several MPEG-TS descriptors

Struct containing the network name descriptor. More...

`#include <desc_network_name.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
char * | network_name
char * | network_name_emph

## Detailed Description

Struct containing the network name descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  network_name | network name string
  network_name_emph | network name emphasis string

The emphasis text is the one that uses asterisks. For example, in the text: "the quick *fox* jumps over the lazy table" the emphasis would be "fox".

Definition at line 57 of file desc_network_name.h.

## Field Documentation

## length

uint8_t dvb_desc_network_name::length

Definition at line 59 of file desc_network_name.h.

## network_name

char* dvb_desc_network_name::network_name

Definition at line 62 of file desc_network_name.h.

## network_name_emph

char* dvb_desc_network_name::network_name_emph

Definition at line 63 of file desc_network_name.h.

## next

struct dvb_desc* dvb_desc_network_name::next

Definition at line 60 of file desc_network_name.h.

## type

uint8_t dvb_desc_network_name::type

Definition at line 58 of file desc_network_name.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_network_name.h